#include <avr/io.h>
#include <util/delay.h>  
#include "peri.h"
int wait_time =0;
int count = 0;
void init_peripheral()
{
DDRC |= 0b00001111;
PORTC &= 0b11111000;
DDRC &= 0b11100111;
PORTC |=0b00001000;
PORTC &= 0b11101111;

DDRD |= 0b00001001; 
PORTD &=0b11111110;
DDRD &= 0b11110111;
PORTD |= 0b0001000;
/*DDRD |= 0b00001111;
PORTD &=  0b11111000;
DDRD &= 0b11110111;
PORTD |=0b00001000;*/
//PORTD &= 0b11101111;
}

void set_led(uint8_t pin,uint8_t state)
{
    	if(state == ON)
	PORTC |= (1<<pin);
	else if (state == OFF)
	PORTC &= ~(1<<pin);
  
}
void set_servo(uint8_t pin,uint8_t state)
{
    	if(state == ON)
	PORTD |= (1<<pin);
	else if (state == OFF)
	PORTD &= ~(1<<pin);
  
}
void servo_loop(int rotation)
{     int i;
      if(rotation==1)
      { for(i=0;i<50;i++)
        {
          set_servo(SERVO,ON);
          _delay_ms(3);
          set_servo(SERVO,OFF);
          _delay_ms(10); 
        }
      }
      else if(rotation==0)
      { for(i=0;i<45;i++)
        {
          set_servo(SERVO,ON);
          _delay_ms(1);
          set_servo(SERVO,OFF);
          _delay_ms(10); 
        }
      }
}


void set_led_value(uint8_t x)
{
	  PORTC &= ~(0b00000111);
	  PORTC |= (x & 0b00000111);
}

uint16_t read_adc(uint8_t channel)
{
	ADMUX = (0<<REFS1)|(1<<REFS0) 
	| (0<<ADLAR) 
	| (channel & 0b1111);
	ADCSRA = (1<<ADEN) 
	| (1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0) 
	| (1<<ADSC); 
	while ((ADCSRA & (1<<ADSC))) 
	;
	return ADCL + ADCH*256; 
}

int averageAnalogRead(uint8_t pinToread)
{
       uint8_t numberOfReadings = 8;
       unsigned int runningValue = 0;
       int x;
       for( x=0 ; x< numberOfReadings ; x++)
         { runningValue += read_adc(pinToread);}
       runningValue /= numberOfReadings;

       return(runningValue);
}



