from practicum import find_mcu_boards
from peri import McuWithPeriBoard
from time import sleep

devs = find_mcu_boards()

if len(devs) == 0:
    print("*** No practicum board found.")
    exit(1)

b = McuWithPeriBoard(devs[0])
print("*** Practicum board found")
print("*** Manufacturer: %s" % \
        b.handle.getString(b.device.iManufacturer, 256))
print("*** Product: %s" % \
        b.handle.getString(b.device.iProduct, 256))
def getUV_Intensity(x, in_min, in_max, out_min, out_max):
	return (x - in_min) * (out_max - out_min) / (in_max - in_min) + out_min

led_color = 0
while True:
    
    #b.setLedValue(0)
    sw = b.getSwitch()
   
    uv = b.getUV()
    ref = b.getREF()
    vout = 3.3/ref*uv
    uvIntensity = getUV_Intensity(vout,0.99, 2.8, 0.0,15.0)
    if uvIntensity<=3.00:
        led_color = "GREEN"
    elif 3.00<uvIntensity<=6.00:
        led_color = "YELLOW"
    elif 6.00<uvIntensity:
        led_color = "RED"
       
    if sw is True:
        state = "P"
    else:
        state = "R"


    print("STATE: %s | SW: %s |V_OUT: %.2f | UV_Intensity: %.2f" % (
            led_color,state, vout,uvIntensity))
    sleep(0.5)
   
    

